package main

import (
	"collatz/collatz"
	"collatz/parsing"
	"log"
)

func main() {
	calculator := collatz.NewCalculator(new(parsing.Cliargs))
	err := calculator.CalculateCollatz()
	if err != nil {
		log.Fatalf("Error calculating Collatz: %v", err)
	}
}
